/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: propedit.h,v 1.2 2001/04/04 12:42:37 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROPEDIT_G__
#define __PROPEDIT_G__

#include "wx/pmf/pm.h"

class wxDMNodePropertyGroupEditor;

class wxDMNodePropertyPanel : public wxPMPane
{
public:
	wxDMNodePropertyPanel();
	~wxDMNodePropertyPanel();

	// overriden methods of wxPMService
	virtual bool Start();
	virtual bool Stop();

	// overriden method of wxPMPane
	virtual wxWindow* GetPaneWindow();
	virtual void CreatePaneWindow( wxWindow* pParent );
	virtual wxStringList* GetDocumentTypes(); 

	// other methods

	virtual void AddDocumentType( const wxString& type );
	virtual void RemoveDocumentType( const wxString& type );
	virtual wxDMNodePropertyGroupEditor* GetGroupEditor();

	DECLARE_DYNAMIC_CLASS( wxDMNodePropertyPanel )
	DECLARE_EVENT_TABLE()

protected:
	wxStringList mDocTypes;

	wxDMNodePropertyGroupEditor* mpEditor;
};

#endif // __PROPEDIT_G__